<%@ Page Language="C#"%>
<!--#include file="includes/css.aspx"-->
<!--#include file="includes/regheader.aspx"-->
<% 
/////////////////////////////////////////////////////////////////////////////
//                                reg.aspx
//                            -------------------
//   begin                : Thur, June 14, 2009
//   copyright            : (C) 2009 AdamsLand Computers, DynDNSServices
//   email                : sam@dyndnsservices.com
//
//   Id: reg.aspx,v 1.0.0.0 R1
    //   Function: User Registration.
//
////////////////////////////////////////////////////////////////////////////
    HttpContext objectHttpContext = HttpContext.Current;
    HttpResponse Response = objectHttpContext.Response;

    Response.CacheControl = "no-cache";
    Response.AddHeader("Pragma", "no-cache");
    Response.Expires = -1;
    String Mac = Request["Mac"];
    
   //Set cookie to check to see if cookies are enabled 
    Response.Cookies["CookieCheck"]["Enabled"] = "True";
    Response.Cookies["CookieCheck"].Expires = DateTime.Now.AddDays(1d);
    
       
        //Log the user out if currently logged in   
    if (Request.Cookies["DDNS"] != null){ Response.Cookies["DDNS"].Expires = DateTime.Now.AddYears(-30); }
        

   
 
    //Procces the error querystring if it exists.
     switch (Request["Error"])
            {
          case "captcha":%>
                <p style="text-align:center;color:Red"><i>The captcha code does not match.</i></p>         
              <% break; 
         case "used":%>
                <p style="text-align:center;color:Red"><i>The email address is already in use.</i></p>         
              <% break; 
         case "inval":%>
                    <p style="text-align:center;color:Red"><i>Input contains illegal characters.</i></p>
              <% break;
          case "fields":%>
                    <p style="text-align:center;color:Red"><i>Please complete all fields.</i></p>
              <% break;
             case "pass":%>
                    <p style="text-align:center;color:Red"><i>Your password does not match the confirmation password.</i></p>
              <% break;
         default:%>
             <P>&nbsp;</P>
              <% break;
     }%>

<script language="JavaScript1.2">
function validatePwd(fieldname) {
var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
var str=document.usub.userid.value
var errorMsg = "";
var space  = " ";
var regex=/^[0-9A-Za-z]+$/; //^[a-zA-z]+$/
fieldname   = document.usub.pass; 
fieldvalue  = fieldname.value; 
fieldlength = fieldvalue.length; 
//Invalid email address
if (filter.test(str)){
}
else{
errorMsg += "\nInvalid email address.\n";
}
//must enter first name
if (document.usub.fname.value == "") 
  {
    errorMsg += "\nYou must enter your first name.\n";
  }
  //must enter last name
if (document.usub.lname.value == "") 
  {
    errorMsg += "\nYou must enter your last name.\n";
  }
  // Must answer the secret question
  if (document.usub.answer.value == "") 
  {
    errorMsg += "\nYou must answer the secret question.\n";
  }
//Password do not match
if (document.usub.pass.value == document.usub.passconfirm.value) 
  {
  }
else{
    errorMsg += "\nPassword does not match confirmation password.\n";
  }
  //Answer must be at least 3 characters long.
if (!(document.usub.answer.value.length >= 3)) {
     errorMsg += "\nSecurity answer must be at least three characters long.\n";
}

//It must not contain a space
if (fieldvalue.indexOf(space) > -1) {
     errorMsg += "\nPassword cannot include a space.\n";
}    



//It must contain at least one number character
//if (!(fieldvalue.match(/\d/))) {
    // errorMsg += "\nPassword must contain at least one numeric character.\n";
//}

//It must contain at least one upper case character     
//if (!(fieldvalue.match(/[A-Z]/))) {
     //errorMsg += "\nPassword must contain at least one uppercase character.\n";
//}
//It must contain at least one lower case character
//if (!(fieldvalue.match(/[a-z]/))) {
    // errorMsg += "\nPassword must contain at least one lower case character\n";
//}

//It must be at least 8 characters long.
if (!(fieldlength >= 6)) {
     errorMsg += "\nPassword must be at least 6 characters long.\n";
}
//Your Password contains non alphanumeric characters
if(regex.test(document.usub.pass.value)){
}
else{
    errorMsg += "\nYour Password contains non alphanumeric characters\n";
  }
//If there is aproblem with the form then display an error
//The following errors were found!
     if (errorMsg != ""){
          msg = "The following errors were found!\n\n";
          errorMsg += alert(msg + errorMsg + "\n\n");
          document.usub.userid.focus();
          return false;
     }
     
     return true;
}
</script>
<script>
function checkbae(){
if (document.layers||document.getElementById||document.all)
return validatePwd(document.usub.pass)
else
return true
}
</script>
<p style="text-align:center">
<form action="regaction.aspx" method="post" name="usub" style="margin:0px" onsubmit="return checkbae()">
	<table id="regtable" cellspacing="0">
<caption style="width: 334px">DDNS account creation.</caption>
	<tr>
	<th scope="col" style="width:334px" colspan="2">New User Registration</th>	
	</tr>
			
		<tr>
		<th scope="row" class="spec" style="width:108px">Email Address</th>
		
		<td class="rowb" style="width:210px">
		
			<input type="text" name="userid" size="21" maxlength="254">
			</td>
		</tr>
		<tr>
		<th scope="row" class="spec" style="width:108px">Password</th>
		
		<td class="rowb" style="width:210px">
		
		<input type="password" name="pass" size="19" maxlength="30"/>
		<a href="#"><img src="images/help.png" heighth="16" width="16" border="0">
		<span>
	     Password must meet the following complexity requirements:<br/><b>1.</b> Must be at least 6 characters long <br/> <b>2.</b> Must not include non alphanumeric characters<br/><br/>Passwords are case sensitive.
		</span></a>

		
		
		</td>
		</tr>
	<tr>
		<th scope="row" class="spec" style="width:108px">Password Confirm </th>
		
		<td class="rowb" style="width:210px">
		<input type="password" name="passconfirm" size="19" id="Password2" maxlength="30"/></td>
		</tr>
	<tr>
		<th scope="row" class="spec" style="width:108px">First Name</th>
		
		<td class="rowb" style="width:210px"><input type="text" name="fname" size="21" maxlength="100"/></td>
		</tr>
	<tr>
		<th scope="row" class="spec" style="width:108px">Last Name</th>
		
		<td class="rowb" style="width:210px"><input type="text" name="lname" size="21" maxlength="100"/>

		
		</td>
		</tr>

	<tr>
		<th scope="row" class="spec" style="width:108px">Security Question.</th>
		
		<td class="rowb" style="width:210px">
		<select name="question">
		<option selected="selected">My first phone number.</option>
		<option>My pets name.</option>
		<option>My city of birth.</option>
		<option>My favorite place.</option>
		<option>My favorite food.</option>
		</select></td>
		</tr>
	<tr>
		<th scope="row" class="spec" style="width:108px">Answer</th>
		
		<td class="rowb" style="width:210px">
		
		
		<input type="text" name="answer" maxlength="30"/></td>
		</tr>


	<tr>
		<th scope="row" class="specalt" colspan="2" style="text-align:center">
		<%
            if ((Mac != null) && (Mac != ""))
            {%>
<input type="hidden" name="mac" value="<%=Mac%>"/>
            <%}
		
		%>
		<input type="submit" value="Submit" name="action"/> <input type="reset" value="Reset"/></th>
		</tr>
		</table></form>
<table id="regtable">
<tr><td>
Already have an account? 
		<%
            if ((Mac != null) && (Mac != ""))
            {%>
<a href="logon.aspx?Mac=<%=Mac%>">Click here to logon.</a>
<%}
else {%>
<a href="logon.aspx">Click here to logon.</a>
<%}%>

</td></tr>
</table>
</p>
<p>&nbsp;</p>
<!--#include file="includes/regfooter.aspx"-->
